Class | Rubygame::EventTriggers::KindOfTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

KindOfTrigger is an event trigger which fires when the event is kind of the given class or module. (In other words, when event.kind_of?( kind ) is true.)

Contrast with InstanceOfTrigger.

### Methods

match? new

### Public Class methods

new( kind )

Initialize a new instance of KindOfTrigger with the given class or module.

kind: | The class/module to check for. (Class or Module, required)

### Public Instance methods

match?( event )

Returns true if the event is kind of the class/module.

[Validate]